/*
 * Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: ErrorResource.java 69883 2013-02-07 17:16:47Z supol $
 */

package com.sun.ts.tests.jaxrs.spec.resource.responsemediatype;

import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

@Path("error")
public class ErrorResource {
	@GET
	@Produces("text/*")
	public String test(){
		return getClass().getSimpleName();
	}
	
	@POST
	@Produces("text/*")
	public Response response(String msg){
		return Response.ok(msg).build();
	}	
}
